Summary:   The MPEG Library - a collection of C routines to decode MPEG movies
Name:      mpeg_lib
Version:   1.2.2adm
Release:   2
Copyright: Copyright by Gregory P. Ward (see README)
Group:     Development/Libraries
Source:    ftp://ftp.gimp.org/pub/gimp/libs/%{name}-%{version}.tar.gz
Patch:     mpeg_lib-shared.patch
BuildRoot: /tmp/%{name}-%{version}-root

%description
The MPEG Library is a collection of C routines to decode MPEG movies and
dither them in a variety of colour schemes.  Most of the code in the library
comes directly from the Berkely MPEG player, an X11-specific implementation
that works fine, but suffers from minimal documentation and a lack of
modularity.  A front end to the Berkeley decoding engine was developed by
Greg Ward at the Montreal Neurological Institute in May/June 1994 to
facilitate the development of an MPEG player specifically for Silicon
Graphics workstations; the decoding engine together with the MNI front end
constitute the MPEG Library.

%package devel
Summary:   mpeg_lib - static library and header files
Group:     Development/Libraries
Requires:  %{name} = %{version}

%description devel
This package contains the mpeg_lib static libraries and header files
required to develop mpeg_lib based applications.

%prep
%setup -q -n mpeg_lib

%patch -p1

%build
./configure --prefix=/usr
make DEFS="-DHAVE_CONFIG_H -D__STRICT_ANSI__"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/{lib,include}
install lib* $RPM_BUILD_ROOT/usr/lib
install mpeg.h $RPM_BUILD_ROOT/usr/include
ln -sf libmpeg.so.1.2.2 $RPM_BUILD_ROOT/usr/lib/libmpeg.so

strip $RPM_BUILD_ROOT/usr/lib/lib*.so.*.*

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644, root ,root, 755)
%doc CHANGES README*
%attr(755, root, root) /usr/lib/lib*.so.*.*

%files devel
%defattr(644, root ,root, 755)
/usr/include/*
/usr/lib/lib*.a
/usr/lib/lib*.so

%changelog
* Sat May  9 1998 Arne Coucheron <arneco@online.no>
- added patch for making shared libraries

* Fri May  1 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
- first release in rpm package,
- now some parts of spec are commented because mpeg_lib isn't now compiled
  to shared library.